use json;

static ENDPOINTS: [(&str, fn(json::JsonValue) -> json::JsonValue); 1] = [("echo", echo)];

pub fn is_valid_endpoint(endpoint: &str) -> bool {
    for (name, _func) in &ENDPOINTS {
        if endpoint.eq(*name) {
            return true;
        }
    }
    false
}

pub fn endpoint(endpoint: &str, input: json::JsonValue) -> json::JsonValue {
    for (name, func) in &ENDPOINTS {
        if endpoint.eq(*name) {
            return func(input);
        }
    }
    panic!("invalid endpoint, check with is_valid_endpoint")
}

pub fn echo(input: json::JsonValue) -> json::JsonValue {
    input
}
